Bug 819909 - [oVirt] [vdsm] connectStorageServer sometimes fail due to race in iscsiadm
[oVirt] [vdsm] connectStorageServer sometimes fail due to race in iscsiadm
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity urgent
: ---
: 3.3.4
Assigned To: Saggi Mizrahi
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 11:26 EDT by Haim
Modified: 2016-02-10 12:12 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-03 07:24:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-05-08 11:26:05 EDT
Description of problem:

connectStorageServer fails - unable to connect domains to pool. 

Thread-492::ERROR::2012-05-08 17:53:36,731::hsm::1929::Storage.HSM::(connectStorageServer) Could not connect to storageServer
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/hsm.py", line 1926, in connectStorageServer
    conObj.connect()
  File "/usr/share/vdsm/storage/storageServer.py", line 287, in connect
    iscsi.addIscsiNode(self._iface, self._target, self._cred)
  File "/usr/share/vdsm/storage/iscsi.py", line 124, in addIscsiNode
    iscsiadm.node_update(iface.name, portalStr, targetName, "node.startup", "manual")
  File "/usr/share/vdsm/storage/iscsiadm.py", line 192, in node_update
    raise IscsiNodeError(rc, out, err)
IscsiNodeError: (6, [], ['iscsiadm: iface iter could not stat /var/lib/iscsi/nodes/hateya-ovirt-rc4/10.35.64.81,3260.', 'iscsiadm: Could not execute operation on all records: encountered iSCSI database failure'])

latest master - b5c7447c50e7ff1a8e656ad1f203c7999f63ea94
Comment 1 Itamar Heim 2013-02-03 07:24:54 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.